%global app_id com.mattjakeman.ExtensionManager

Name:           extension-manager
Version:        0.6.0
Release:        1%{?dist}
Summary:        Extension manager for gnome

License:        GPL-3.0-only
URL:            https://github.com/mjakeman/extension-manager
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  blueprint-compiler
BuildRequires:  desktop-file-utils

%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.

%prep
%autosetup -n %{name}-%{version}

%build
%meson -Dbacktrace=false
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/%{app_id}.metainfo.xml
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/%{app_id}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{app_id}-symbolic.svg

%changelog
* Mon Dec 2 2024 <umutd3401@posteo.com> - 0.6.0-1
- Update to 0.6.0
- Remove backtrace support
- Remove unneeded dependencies
